Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class NVOcclusionQuery

    java.lang.Object
      org.lwjgl.opengl.NVOcclusionQuery

    public final class NVOcclusionQuery

extends java.lang.Object

Field Summary
`static int` | `GL_CURRENT_OCCLUSION_QUERY_ID_NV`
`static int` | `GL_OCCLUSION_TEST_HP`
`static int` | `GL_OCCLUSION_TEST_RESULT_HP`
`static int` | `GL_PIXEL_COUNT_AVAILABLE_NV`
`static int` | `GL_PIXEL_COUNT_NV`
`static int` | `GL_PIXEL_COUNTER_BITS_NV`

Method Summary
`static void` | `glBeginOcclusionQueryNV(int id)`
`static void` | `glDeleteOcclusionQueriesNV(java.nio.IntBuffer piIDs)`
`static void` | `glEndOcclusionQueryNV()`
`static void` | `glGenOcclusionQueriesNV(java.nio.IntBuffer piIDs)`
`static void` | `glGetOcclusionQueryNV(int id, int pname, java.nio.IntBuffer params)`
`static void` | `glGetOcclusionQueryuNV(int id, int pname, java.nio.IntBuffer params)`
`static boolean` | `glIsOcclusionQueryNV(int id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_OCCLUSION_TEST_HP

    public static final int GL_OCCLUSION_TEST_HP

See Also:
  Constant Field Values

### GL_OCCLUSION_TEST_RESULT_HP

    public static final int GL_OCCLUSION_TEST_RESULT_HP

See Also:
  Constant Field Values

### GL_PIXEL_COUNTER_BITS_NV

    public static final int GL_PIXEL_COUNTER_BITS_NV

See Also:
  Constant Field Values

### GL_CURRENT_OCCLUSION_QUERY_ID_NV

    public static final int GL_CURRENT_OCCLUSION_QUERY_ID_NV

See Also:
  Constant Field Values

### GL_PIXEL_COUNT_NV

    public static final int GL_PIXEL_COUNT_NV

See Also:
  Constant Field Values

### GL_PIXEL_COUNT_AVAILABLE_NV

    public static final int GL_PIXEL_COUNT_AVAILABLE_NV

See Also:
  Constant Field Values

Method Detail

### glGenOcclusionQueriesNV

    public static void glGenOcclusionQueriesNV(java.nio.IntBuffer piIDs)

### glDeleteOcclusionQueriesNV

    public static void glDeleteOcclusionQueriesNV(java.nio.IntBuffer piIDs)

### glIsOcclusionQueryNV

    public static boolean glIsOcclusionQueryNV(int id)

### glBeginOcclusionQueryNV

    public static void glBeginOcclusionQueryNV(int id)

### glEndOcclusionQueryNV

    public static void glEndOcclusionQueryNV()

### glGetOcclusionQueryuNV

    public static void glGetOcclusionQueryuNV(int id,
                                              int pname,
                                              java.nio.IntBuffer params)

### glGetOcclusionQueryNV

    public static void glGetOcclusionQueryNV(int id,
                                             int pname,
                                             java.nio.IntBuffer params)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.